/*
 */

#include "sm/generic.h"
SM_RCSID("@(#)$Id: logsev.c,v 1.1 2008/05/13 13:21:44 ca Exp $")
#include "sm/log.h"

/*
**  log sev=SEVERITY () works nice here, but other stuff like
**  syslog(), fprint(), don't do this...
**  change all sm_log_write() calls?
*/

struct l2t_S
{
	int	 l2t_code;
	char	*l2t_str;
};
typedef struct l2t_S	l2t_T, *l2t_P;

static l2t_T
sm_loglev2txt[] =
{
	{ SM_LOG_EMERG,		"EMERG"	},
	{ SM_LOG_FATAL,		"FATAL"	},
	{ SM_LOG_ALERT,		"ALERT"	},
	{ SM_LOG_CRIT,		"CRIT"	},
	{ SM_LOG_ERROR,		"ERROR"	},
	{ SM_LOG_ERR,		"ERROR"	},
	{ SM_LOG_WARNING,	"WARN"	},
	{ SM_LOG_WARN,		"WARN"	},
	{ SM_LOG_NOTICE,	"NOTICE"	},
	{ SM_LOG_INFO,		"INFO"	},
	{ SM_LOG_DEBUG,		"DEBUG"	},
	{ -1,			 NULL	}
};

char *
sm_log_sev2txt(int loglevel)
{
	int i;

	i = 0;
	while (sm_loglev2txt[i].l2t_code != -1 && sm_loglev2txt[i].l2t_str != NULL)
	{
		if (sm_loglev2txt[i].l2t_code == loglevel)
			return sm_loglev2txt[i].l2t_str;
		++i;
	}
	return "Bogus_Log_Level";
}
